//
//  ObjectData.h
//  sdb
//
//  Created by dka on 10.09.12.
//  Copyright (c) 2012 SAPERION AG. All rights reserved.
//

//#import <UIKit/UIKit.h>

@interface ObjectData : NSObject

/**
 * The ID of the Object the Data belongs to
 */
@property (nonatomic, strong) NSString *objectID;
/**
 * The Data
 */
@property (nonatomic, strong) NSMutableData *data;

/**
 * Creates a ObjectData Object for call backs wit the original ID
 * @param data the Data of the Object
 * @param aObjectID the ObjectID so we can find out if it is the right on in an async call
 * @return the created ObjectData
 */
-(ObjectData*)dataWithData:(NSData *)data forObject:(NSString*)aObjectID;

@end
