//
//  ServiceDelegate.h
//  sdb
//
//  Created by joj on 08.05.13.
//  Copyright (c) 2013 SAPERION AG. All rights reserved.
//



@class sdbService;
@protocol ServiceActivityDelegate <NSObject>
//@optional
/**
 * Adds the Descriptor to the local Array
 * Displays the View if the Array has one or more entrys
 * @param activityDesciptor a description from the Service
 */
-(void) showActivity:(NSString*)activityDesciptor;

/**
 * Removes the Descriptor from the local Array
 * Displays the View if the Array has one or more entrys
 * @param activityDesciptor a description from the Service
 */
-(void) hideActivity:(NSString*)activityDesciptor;

@end

@protocol ServiceErrorDelegate <NSObject>
//@optional
/**
 * Adds the error to the local errorText Array
 * Displays the View if the Array has one or more entrys
 * @param errorDesciptionText the errortext from the Service
 */
-(void) showError:(NSString*)errorDescriptionText;

/**
 * Removes the error from the local errorText Array
 * Displays the View if the Array has one or more entrys
 * @param errorDesciptionText the errortext from the Service
 */
-(void) hideError:(NSString*)errorDescriptionText;

@end
