//
//  NSString+localeFormatter.h
//  sdb
//
//  Created by Daniel Kalwitzki on 20.02.13.
//  Copyright (c) 2013 SAPERION AG. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSString (localeFormatter)

+(NSString*) stringForInt:(int)value;

+(NSString*) stringForDouble:(double)value;

+(NSString*) stringForFloat:(float)value;

+(NSString*) stringWithLocaleAndFormat:(NSString*)key;

+(NSString*) stringWithLocaleAndFormat:(NSString*)key withValue:(NSString*)value;

+(NSString*) stringWithLocaleAndFormat:(NSString*)key withValues:(NSArray*)values;

@end
